package org.jeecg.modules.adweb.dmp.vo.report;

import lombok.Data;

/**
 * 网站综合统计数据VO, GA流量，询盘数据等
 *
 * @author wfansh
 */
@Data
public class SiteOverviewStatsVO {

    private int totalUsers;

    private int pageViews;

    private int enquires;

    // 计算统计数据
    private double dailyPageViews;

    private int avgTimeOnPage;

    private double pageViewsPerSession;

    private String bounceRate;

    private String enquiryConversionRate;

    @Data
    public class DailyMetricVO {

        private String date;

        private int totalUsers;

        private int pageViews;

        private int enquires;
    }
}
